GamePhase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum GamePhase

    java.lang.Object
      java.lang.Enum<GamePhase>
          net.ctdp.rfdynhud.gamedata.GamePhase

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GamePhase>

    public enum GamePhase

extends java.lang.Enum<GamePhase>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`BEFORE_SESSION_HAS_BEGUN`
`FORMATION_LAP`
`FULL_COURSE_YELLOW`
`GREEN_FLAG`
`GRID_WALK_THROUGH`
`RECONNAISSANCE_LAPS`
`SESSION_OVER`
`SESSION_STOPPED`
`STARTING_LIGHT_COUNTDOWN_HAS_BEGUN`

Method Summary
`static GamePhase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GamePhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE_SESSION_HAS_BEGUN

    public static final GamePhase BEFORE_SESSION_HAS_BEGUN

### RECONNAISSANCE_LAPS

    public static final GamePhase RECONNAISSANCE_LAPS

### GRID_WALK_THROUGH

    public static final GamePhase GRID_WALK_THROUGH

### FORMATION_LAP

    public static final GamePhase FORMATION_LAP

### STARTING_LIGHT_COUNTDOWN_HAS_BEGUN

    public static final GamePhase STARTING_LIGHT_COUNTDOWN_HAS_BEGUN

### GREEN_FLAG

    public static final GamePhase GREEN_FLAG

### FULL_COURSE_YELLOW

    public static final GamePhase FULL_COURSE_YELLOW

### SESSION_STOPPED

    public static final GamePhase SESSION_STOPPED

### SESSION_OVER

    public static final GamePhase SESSION_OVER

Method Detail

### values

    public static GamePhase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GamePhase c : GamePhase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GamePhase valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD